# Class Usage

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the usage of a response.

    public class Usage

Inheritance
  object
  Usage

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Properties

### CacheCreationInputTokens

Gets the number of tokens written to the cache when creating a new entry

    [JsonPropertyName("cache_creation_input_tokens")]
    public int CacheCreationInputTokens { get; init; }

#### Property Value

int

### CacheReadInputTokens

Gets the number of tokens retrieved from the cache for the request.

    [JsonPropertyName("cache_read_input_tokens")]
    public int CacheReadInputTokens { get; init; }

#### Property Value

int

### InputTokens

Gets the number of input tokens used.

    [JsonPropertyName("input_tokens")]
    public int InputTokens { get; init; }

#### Property Value

int

### OutputTokens

Gets the number of output tokens used.

    [JsonPropertyName("output_tokens")]
    public int OutputTokens { get; init; }

#### Property Value

int